Bug 47267 - Display of Release Notes in Windows installer is broken due to LF endings
Display of Release Notes in Windows installer is broken due to LF endings
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
6.0.18
PC Windows XP
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-05-26 07:38 UTC by Konstantin Kolinko
Modified: 2009-12-21 11:18 UTC (History)
0 users



Attachments
Screenshot (15.58 KB, image/gif)
2009-05-26 07:43 UTC, Konstantin Kolinko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2009-05-26 07:38:52 UTC
The Windows installer has option
[x] Show Readme
that is checked by default.

It results in file 
"C:\Program Files\Apache Software Foundation\Tomcat 6.0\webapps\ROOT\RELEASE-NOTES.txt"
being opened in Notepad.

In TC 6.0.18 and in current RC for 6.0.20 that file has LF line ends. Notepad cannot properly display such files.
Comment 1 Konstantin Kolinko 2009-05-26 07:43:03 UTC
Created attachment 23716 [details]
Screenshot
Comment 2 Mark Thomas 2009-09-22 13:30:01 UTC
Fixed in trunk and proposed for 6.0.x
Comment 3 Mark Thomas 2009-12-21 11:18:14 UTC
This has been fixed in 6.0.x and will be included in 6.0.21 onwards.